PT BIA - Feature #1457

Format Employee ID
08/04/2022 09:49 AM - Moch Alinafia

Status: Closed Start date: 08/04/2022
Priority: Normal Due date:

Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 11.00 hours
Description

Dear Ba Yomma
Bisa tolong DI buat kan untuk format penomoran employee id dengan format

YymmXXxX

yy = diambil dari tahun hiring date
mm = diambil dari bulan hiring date
XXxX = dari yymm yg sama

url = http://remote.minovais.com:31137/
user = minovais

pass = 123Aa

db = MinovaES_BIA_Dev

server = remote.minovais.com,1442

History

#1 - 08/08/2022 02:08 PM - Moch Alinafia

untuk xxxx sequential untuk yymm yg sama, jadi akan dimulai dari 0000 jika bulan berubah

#2 - 08/10/2022 10:00 AM - Tri Rizqiaty

- Status changed from New to Assigned

#3 - 08/12/2022 02:36 PM - Tri Rizqiaty

- File clipboard-202208121435-y1rpo.png added
- File clipboard-202208121435-hwhf4.png added
- File Parameter Gen Emp ID.xIsx added

- File wizard.js added

- Status changed from Assigned to Developing

fixing :

1. Update folder Ul-app-controller-wizard : wizard.js (file terlampir)
http://remote.minovais.com:31137/

B styles css map (3 | HE styles.css (3 | B Login.aspx ﬁl H site. Master 3 | B MinovaXtype js (3 | B Web config I:il B web corfig ﬁl B Web corfig ﬁl B Minovaxtype js ﬁl B Minovaitypejs £ [H wizard js B3 |

645 app = null
646
64T //localStorage.setltem('selectionValues', JSON.stringify (selectionValues));
648 [0 if (wzFunc == 'RFET') {
649
650 J/f/ comment by Tri nwh 20220811 start
651 J/ Ext.hjax.request({
652 S/ async: false,
€53 // method: '"POST',
654 // url: '"/UserControl/GetLastID?class_-E',
655
656 /f success: function (response) {
657 // oldID = response.responseTlext;
658 J/f alert('chani');
659 £y
660 2
661 ///f comment by Tri nwh 20220811 end
662
663 f/ff add by Tri nwh 20220811 start
664 var hiringdate = selectionValues.EffectiveDate;
665 = MinovaUtil.ExecuteParamQuery({
666 ID: "GEWEMFID",
66T HiringDate : hiringdate.toString()
668 }, function (=) {
669 wvar result = Ext.decode (s.responseText) ;
] var dt = Ext.decode (Ext.decode (resulc.data))
671 oldID = dt[0].EmpID.toString()
672 - }, function (£} {}):
673 f//ff add by Tri nwh 20220811 end
674
675 //Ext.ComponentQuery.query (' [name=ApplicantID] ") [0].setValue (oldID) ;
676 //app_ = Ext.ComponentQuery.guery (' [name=ApplicantID] ') [0].getValues();
677 app_ = selectionValues.ApplicantID;

} else if (wzFunc == 'EMFI') {

// Ext.Biax.reguesti{ //f/ comment bv Tri nwh 20220811

£
B styles css.map :2| B styles css Inl H Login.aspx ::i| H Site Master :2| B MinovaXtype js fﬂl B Web config &3 | B Web config £3 | B Web config (3 | B MinovaXtype js :2| B MinovaXiypejs E3 = wizard js E1 |

f//app_ = Ext.ComponentQuery.query (' [name=ApplicantID] ') [0] .getValue();
app_ = selectionValuess.ApplicantID;

} else if (wzFunc == 'EMFI') {
// Ext.Rjax.reguest ({ [/ f/ comment by Tri nwh 20220811

f/ async: false,
/{ method: 'POST',
ff url: '/UserControl/GetLastID?class_=E',

// success: function (responss) {
/f 0ldID = response.responseText;

£y

12T

///f add by Tri nwh 20220811 start
var hiringdate = selectionValues.EffectiveDate;
MinovaUtil.ExecuteParamQuery ({
ID: "GEWEMFID",
HiringDate : hiringdate.toString()
}, function (s) {
wvar result = Ext.decode(s.responseText);
var dt = Ext.decode (Ext.decode (resulc.data))
oldID = dt[0].EmpID.toString();
}. function (f) {}):
J//f add by Tri nwh 20220811 end

Ext.ComponentQuery.query (' [name=Emplo
} else if (wzFunc == 'RFFI') {
Ext.hAjax.reqguest ({
asyneo: false,
method: "PCOST',
url: '/Use trol,

"}[2] .setValue (0ldID)

LastID?class_=A',

success: function (response) {
0ldID = response.responseText;

2. add data di table PCMWFCUSTPARAM (sesuai file terlampir)

#4 - 08/12/2022 02:37 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Moch Alinafia

Tolong ditest dimenu employee movement & applicant movement, thanks

#5 - 09/15/2022 11:25 AM - Moch Alinafia
- Status changed from QA Test to Closed
clipboard-202208121435-y1rpo.png 82.1 KB
clipboard-202208121435-hwhf4.png 81.4 KB
Parameter Gen Emp ID.xIsx 8.93 KB
wizard.js 114 KB
